import { ThreeLine, ThreeObject3d } from '@angular-three/core';
import { Directive, NgModule } from '@angular/core';
import { Line, LineLoop, LineSegments } from 'three';
import { CommonModule } from '@angular/common';

class LineDirective extends ThreeLine {
    constructor() {
        super(...arguments);
        this.lineType = Line;
    }
}
LineDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-line',
                exportAs: 'ngtLine',
                providers: [{ provide: ThreeObject3d, useExisting: LineDirective }],
            },] }
];

class ThreeLineModule {
}
ThreeLineModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LineDirective],
                imports: [CommonModule],
                exports: [LineDirective],
            },] }
];

class LineLoopDirective extends ThreeLine {
    constructor() {
        super(...arguments);
        this.lineType = LineLoop;
    }
}
LineLoopDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-lineLoop',
                exportAs: 'ngtLineLoop',
                providers: [{ provide: ThreeObject3d, useExisting: LineLoopDirective }],
            },] }
];

class ThreeLineLoopModule {
}
ThreeLineLoopModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LineLoopDirective],
                imports: [CommonModule],
                exports: [LineLoopDirective],
            },] }
];

class LineSegmentsDirective extends ThreeLine {
    constructor() {
        super(...arguments);
        this.lineType = LineSegments;
    }
}
LineSegmentsDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-lineSegments',
                exportAs: 'ngtLineSegments',
                providers: [{ provide: ThreeObject3d, useExisting: LineSegmentsDirective }],
            },] }
];

class ThreeLineSegmentsModule {
}
ThreeLineSegmentsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LineSegmentsDirective],
                imports: [CommonModule],
                exports: [LineSegmentsDirective],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { LineDirective, LineLoopDirective, LineSegmentsDirective, ThreeLineLoopModule, ThreeLineModule, ThreeLineSegmentsModule };
//# sourceMappingURL=angular-three-core-lines.js.map
