import { ThreeSprite, ThreeObject3d } from '@angular-three/core';
import { Directive, NgModule } from '@angular/core';
import { Sprite } from 'three';
import { CommonModule } from '@angular/common';

class SpriteDirective extends ThreeSprite {
    constructor() {
        super(...arguments);
        this.spriteType = Sprite;
    }
}
SpriteDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-sprite',
                exportAs: 'ngtSprite',
                providers: [{ provide: ThreeObject3d, useExisting: SpriteDirective }],
            },] }
];

class ThreeSpriteModule {
}
ThreeSpriteModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SpriteDirective],
                imports: [CommonModule],
                exports: [SpriteDirective],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { SpriteDirective, ThreeSpriteModule };
//# sourceMappingURL=angular-three-core-sprites.js.map
